NI FlexRIO Driver Supported Versions for FlexRIO Adapters and Modules

Overview

This page shows the supported versions of NI FlexRIO drivers required with FlexRIO Modules and Adapters. Reference this information to ensure you install the correct driver version when upgrading or updating your system, when migrating or porting code to a new system, or after the purchase and installation of new NI hardware. Using incompatible versions may result in errors, the inability for your operating system to recognize or detect and then find a driver for your device, or missing devices in NI Measurement & Automation Explorer (MAX).

For information on NI FlexRIO Hardware Compatibility see NI FlexRIO Adapter and NI FlexRIO FPGA Module Compatibility.

Note that this article replaces KnowledgeBase 6CBED5QE: What Adapter Modules Are Supported on my NI FlexRIO? Some NI manuals may still reference the previous document. If you were redirected from the previous KnowledgeBase URL, please update your bookmarks accordingly.

Contents

How to Use this Page

  1. Identify your FlexRIO FPGA Module and FlexRIO Adapter Module
  2. Select which FlexRIO driver you plan to use in your system and follow the corresponding steps:

NI FlexRIO Driver: Use the following steps to identify a NI FlexRIO Driver that is compatible with both your FlexRIO FPGA Module and FlexRIO Adapter Module.

    1. Use the NI FlexRIO Driver and FlexRIO Module Compatibility Table to identify the driver versions compatible with your FlexRIO FPGA Module.
    2. Next, use the NI FlexRIO Driver and FlexRIO Adapter Module Compatibility Table to identify the driver versions compatible with your FlexRIO Adapter Module.
    3. Install a driver version that is compatible with both devices.

NI FlexRIO Adapter Module Support Driver: The FlexRIO Adapter Support Driver has been deprecated and replaced by the NI FlexRIO Driver. If you are not able to update your system to the NI FlexRIO Driver use the following steps to identify compatible driver versions for your system:

    1. Use the NI FlexRIO Adapter Module Support Driver and FlexRIO Adapter Module Compatibility Table to identify the driver versions compatible with your FlexRIO Adapter Module.
    2. Install the NI-RIO driver

 

NI FlexRIO Driver and FlexRIO Module Compatibility Table 

Use this table to compare versions of NI FlexRIO to compatible FlexRIO FPGA Modules
FlexRIO FPGA Module NI FlexRIO Version
13.1 13.2 14.0 14.1 14.5 15.0 15.1 15.5 15.6 16.0 16.1 17.0 18.0 18.1 18.6 18.7
PXI-7951
PXI-7952
PXI-7953
PXI-7954
PXIe-5745                            
PXIe-5763                          
PXIe-5764                          
PXIe-5774                              
PXIe-5775                            
PXIe-5785                            
PXIe-7911                          
PXIe-7912                          
PXIe-7915                          
PXIe-7961
PXIe-7962
PXIe-79651
PXIe-7966
PXIe-7971    
PXIe-7972    
PXIe-7975
PXIe-7976    
NI 7931            
NI 7932            
NI 7935            
PCIe-5763                              
PCIe-5764                              
PCIe-5774                              
PCIe-5775                              
PCIe-5785                              

 


NI FlexRIO Driver and FlexRIO Adapter Module Compatibility Table 

Use this table to compare versions of NI FlexRIO to compatible FlexRIO FPGA Modules
FlexRIO FPGA Module NI FlexRIO Version
13.1 13.2 14.0 14.1 14.5 15.0 15.1 15.5 15.6 16.0 16.1 17.0 18.0 18.1 18.6 18.7
NI 5731              
NI 5732              
NI 5733              
NI 5734              
NI 5741              
NI 5742              
NI 5751              
NI 5751B            
NI 5752              
NI 5752B            
NI 5753                    
NI 5761            
NI 5762            
NI 5771            
NI 5772            
NI 5781            
NI 5782            
NI 5783              
NI 6581            
NI 6581B            
NI 6583            
NI 6584            
NI 6585            
NI 6585B          
NI 6587            
NI 6589              
NI 57912            
NI 57922            
NI 57932            
AT 11203                                
AT 12123                                
NI 1483R4                                



NI FlexRIO Adapter Module Support Driver and FlexRIO Adapter Module Compatibility Table 

Use this table to compare versions of NI FlexRIO Adapter Module Support Driver to compatible FlexRIO Adapter Modules
FlexRIO Adapter Module FlexRIO Adapter Module Support Driver Version
1.2 1.3 1.6 1.7 1.8 1.9 2.0 2.1 2.2 3.0 3.1 3.2 3.3 3.4 4.0 4.1 14.0 14.1 14.2 14.3 15.0 15.1
NI 5731              
NI 5732              
NI 5733              
NI 5734              
NI 5741                                      
NI 5742                                      
NI 5751          
NI 5751B                                          
NI 5752      
NI 5752B                                          
NI 5753                                            
NI 5761        
NI 5762              
NI 5771                  
NI 5772                  
NI 5781
NI 5782                      
NI 5783                                            
NI 6581
NI 6581B                                    
NI 6583      
NI 6584    
NI 6585  
NI 6585B                                          
NI 6587              
NI 6589                                  
NI 57912                    
NI 57922                        
NI 57932                        
AT 11203                                            
AT 12123                                            
NI 1483R4                                            


Driver is Compatible with FlexRIO Adapter or Module


[1] The size and speed grade of the NI PXIe-7965 makes it difficult to meet timing for higher performance adapter modules.
[2] The 579x FAMs use a sample project that is too large to fit on smaller FPGAs
[3] The AT FAMs require a driver available at Drivers and Updates: AT-1120 / AT-1212
[4] The NI 1483R FAM requires the IMAQ driver available at Drivers and Updates: NI-IMAQ 

The following Flexrio Adapter Modules (FAMs) are compatible with the 7975 in LabVIEW 2013 SP1: 5761, 5771, 5772, 5782, 5791, 5792, 5793. All other FAMs that support the 797x FPGA Modules require LabVIEW: 2014 or later.